Bug 247151 - hitting backspace locks gtk app (logjam)
hitting backspace locks gtk app (logjam)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gail (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 13:03 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-14 10:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-07-05 13:03:04 EDT
Description of problem:

When running logjam (a simple posting app for Livejournal.com), typing the
backspace key in the Subject text field causes the logjam client to hardlock.

Here is a backtrace from gdb:

(gdb) thread apply all bt

Thread 1 (Thread 46912705136576 (LWP 25956)):
#0  0x00002aaab070f728 in __lll_mutex_lock_wait () from /lib64/libpthread.so.0
#1  0x00002aaab070b7df in _L_mutex_lock_103 () from /lib64/libpthread.so.0
#2  0x00002aaab070b273 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00002aaabb2952a9 in g_utf8_collate () from
/usr/lib64/gtk-2.0/modules/libgail.so
#4  0x00002aaaafe00099 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#5  0x00002aaaafe10b07 in g_utf8_collate () from /lib64/libgobject-2.0.so.0
#6  0x00002aaaafe11ebd in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#7  0x00002aaaafe14780 in g_signal_emit_by_name () from /lib64/libgobject-2.0.so.0
#8  0x00002aaaae11f749 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x00002aaaae123036 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x00002aaaafe00099 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#11 0x00002aaaafe11133 in g_utf8_collate () from /lib64/libgobject-2.0.so.0
#12 0x00002aaaafe12490 in g_signal_emitv () from /lib64/libgobject-2.0.so.0
#13 0x00002aaaae0be8c3 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00002aaaae0bedf1 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x00002aaaae0bf064 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x00002aaaae0bf18a in gtk_bindings_activate_event () from
/usr/lib64/libgtk-x11-2.0.so.0
#17 0x00002aaaae12469c in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#18 0x00002aaaae1a7fc1 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x00002aaaafe00150 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#20 0x00002aaaafe11133 in g_utf8_collate () from /lib64/libgobject-2.0.so.0
#21 0x00002aaaafe11d58 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#22 0x00002aaaafe12173 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#23 0x00002aaaae2c9bce in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#24 0x00002aaaae2dbb4c in gtk_window_propagate_key_event () from
/usr/lib64/libgtk-x11-2.0.so.0
#25 0x00002aaaae2dfffb in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x00002aaaae1a7fc1 in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#27 0x00002aaaafe00099 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#28 0x00002aaaafe11133 in g_utf8_collate () from /lib64/libgobject-2.0.so.0
#29 0x00002aaaafe11d58 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#30 0x00002aaaafe12173 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#31 0x00002aaaae2c9bce in g_utf8_collate () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x00002aaaae19fcd1 in gtk_propagate_event () from /usr/lib64/libgtk-x11-2.0.so.0
#33 0x00002aaaae1a0d09 in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#34 0x00002aaaae9bd51c in g_utf8_collate () from /usr/lib64/libgdk-x11-2.0.so.0
#35 0x00002aaab046de63 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#36 0x00002aaab047115d in g_utf8_collate () from /lib64/libglib-2.0.so.0
#37 0x00002aaab047146a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#38 0x00002aaaae1a1113 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#39 0x000000000042d9c5 in jam_run (doc=0x6bdde0) at jam.c:883
#40 0x0000000000415a11 in main (argc=1, argv=0x7fff2079ee08) at init.c:151
#0  0x00002aaab070f728 in __lll_mutex_lock_wait () from /lib64/libpthread.so.0

logjam is in Fedora, you should not need a livejournal.com account to reproduce
this bug.

How reproducible:
Always.

Versions:
gtk2-2.11.5-1.fc8
gail-1.19.3-1.fc8
logjam-4.5.3-9.fc8.1
Comment 1 Matthias Clasen 2007-07-05 13:06:06 EDT
Not a gtk bug, as this line gives away:

/usr/lib64/gtk-2.0/modules/libgail.so
Comment 2 Tom "spot" Callaway 2007-07-14 10:08:38 EDT
Either way, this is fixed in rawhide now (I will not complain when bugs go away
for no reason).

Note You need to log in before you can comment on or make changes to this bug.